LibreOffice: XPathAPI Service Reference

LibreOffice LibreOffice 7.5 SDK API Reference

Loading...
Searching...
No Matches
List of all members
XPathAPI Service Reference
Inheritance diagram for XPathAPI:

## Additional Inherited Members
Public Member Functions inherited from XXPathAPI
void | registerNS ([in] string prefix, [in] string url)
void | unregisterNS ([in] string prefix, [in] string url)
void | registerExtension ([in] string serviceName)
void | registerExtensionInstance ([in] com::sun::star::xml::xpath::XXPathExtension aExtension)
XXPathObject | eval ([in] com::sun::star::xml::dom::XNode contextNode, [in] string expr) raises ( com::sun::star::xml::xpath::XPathException )
| Evaluate XPath Expression.
XXPathObject | evalNS ([in] com::sun::star::xml::dom::XNode contextNode, [in] string expr, [in] com::sun::star::xml::dom::XNode namespaceNode) raises ( com::sun::star::xml::xpath::XPathException )
| Evaluate XPath Expression.
com::sun::star::xml::dom::XNodeList | selectNodeList ([in] com::sun::star::xml::dom::XNode contextNode, [in] string expr) raises ( com::sun::star::xml::xpath::XPathException )
| Evaluate an XPath expression to select a list of nodes.
com::sun::star::xml::dom::XNodeList | selectNodeListNS ([in] com::sun::star::xml::dom::XNode contextNode, [in] string expr, [in] com::sun::star::xml::dom::XNode namespaceNode) raises ( com::sun::star::xml::xpath::XPathException )
| Evaluate an XPath expression to select a list of nodes.
com::sun::star::xml::dom::XNode | selectSingleNode ([in] com::sun::star::xml::dom::XNode contextNode, [in] string expr) raises ( com::sun::star::xml::xpath::XPathException )
| Evaluate an XPath expression to select a single node.
com::sun::star::xml::dom::XNode | selectSingleNodeNS ([in] com::sun::star::xml::dom::XNode contextNode, [in] string expr, [in] com::sun::star::xml::dom::XNode namespaceNode) raises ( com::sun::star::xml::xpath::XPathException )
| Evaluate an XPath expression to select a single node.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

The documentation for this service was generated from the following file:

- com/sun/star/xml/xpath/XPathAPI.idl